Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.server
Class TCPIPServerSunJavaAppServerInfo

    java.lang.Object
      com.stc.connector.tcpip.model.server.TCPIPServerSunJavaAppServerInfo

    public class TCPIPServerSunJavaAppServerInfo

extends java.lang.Object

This class represents the configuration for the MDB bean pool of Sun Java System Application Server (Sun One Application Server) or SeeBeyond Runtime Server version 5.1.x.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2008/04/23 07:15:26 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPServerSunJavaAppServerInfo()` Constructor for TCPIPServerSunJavaAppServerInfo.
`TCPIPServerSunJavaAppServerInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Constructor for TCPIPServerSunJavaAppServerInfo.

Method Summary
`com.stc.connector.framework.util.ConfigurationHelper` | `getInitPropertiesInfo()` Returns the initial configuration.
`int` | `getMaxPoolSize()`
`long` | `getMaxWaitTimeInMillis()`
`long` | `getPoolIdleTimeoutInSeconds()`
`int` | `getResizeQuantity()`
`int` | `getSteadyPoolSize()`
`void` | `setMaxPoolSize(int aMaxPoolSize)`
`void` | `setMaxWaitTimeInMillis(long aMaxWaitTimeInMillis)`
`void` | `setPoolIdleTimeoutInSeconds(long aPoolIdleTimeoutInSeconds)`
`void` | `setResizeQuantity(int aResizeQuantity)`
`void` | `setSteadyPoolSize(int aSteadyPoolSize)`
`void` | `validate()` Validates the configuration settings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPServerSunJavaAppServerInfo

    public TCPIPServerSunJavaAppServerInfo()
                                    throws TCPIPApplicationException

  Constructor for TCPIPServerSunJavaAppServerInfo.

  Throws:
    `TCPIPApplicationException` - on error.

### TCPIPServerSunJavaAppServerInfo

    public TCPIPServerSunJavaAppServerInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                                    throws TCPIPApplicationException

  Constructor for TCPIPServerSunJavaAppServerInfo.

  Parameters:
    `aConfiguration` - The initial properties into.
  Throws:
    `TCPIPApplicationException` - on error.

Method Detail

### getInitPropertiesInfo

    public com.stc.connector.framework.util.ConfigurationHelper getInitPropertiesInfo()

  Returns the initial configuration.

  Returns:
    ConfigurationHelper

### getMaxPoolSize

    public int getMaxPoolSize()

  Returns:
    int

### getMaxWaitTimeInMillis

    public long getMaxWaitTimeInMillis()

  Returns:
    long

### getPoolIdleTimeoutInSeconds

    public long getPoolIdleTimeoutInSeconds()

  Returns:
    long

### getResizeQuantity

    public int getResizeQuantity()

  Returns:
    int

### getSteadyPoolSize

    public int getSteadyPoolSize()

  Returns:
    int

### setMaxPoolSize

    public void setMaxPoolSize(int aMaxPoolSize)
                        throws TCPIPApplicationException

  Parameters:
    `aMaxPoolSize` - the value to set
  Throws:
    `TCPIPApplicationException`

### setMaxWaitTimeInMillis

    public void setMaxWaitTimeInMillis(long aMaxWaitTimeInMillis)
                                throws TCPIPApplicationException

  Parameters:
    `aMaxWaitTimeInMillis` - the value to set
  Throws:
    `TCPIPApplicationException`

### setPoolIdleTimeoutInSeconds

    public void setPoolIdleTimeoutInSeconds(long aPoolIdleTimeoutInSeconds)
                                     throws TCPIPApplicationException

  Parameters:
    `aPoolIdleTimeoutInSeconds` - the value to set
  Throws:
    `TCPIPApplicationException`

### setResizeQuantity

    public void setResizeQuantity(int aResizeQuantity)
                           throws TCPIPApplicationException

  Parameters:
    `aResizeQuantity` - the value to set
  Throws:
    `TCPIPApplicationException`

### setSteadyPoolSize

    public void setSteadyPoolSize(int aSteadyPoolSize)
                           throws TCPIPApplicationException

  Parameters:
    `aSteadyPoolSize` - the value to set
  Throws:
    `TCPIPApplicationException`

### validate

    public void validate()
                  throws TCPIPApplicationException

  Validates the configuration settings.

  Throws:
    `TCPIPApplicationException` - on error

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD